from flask_wtf import FlaskForm
from flask_wtf.file import FileField, FileAllowed, FileRequired
from wtforms import StringField, PasswordField, BooleanField, SubmitField
from wtforms.validators import DataRequired

class UploadForm(FlaskForm):
    email = StringField('email', validators=[DataRequired()])
    accept_terms = BooleanField('accept_terms', validators=[DataRequired()])
    uploadFile = FileField('file', validators=[
        FileRequired(message="You must specify to upload"),
        FileAllowed(['txt', 'gz', 'zip', 'log'], 'Log files only!')
    ])
    submit = SubmitField('Upload')

class AccessLog(FlaskForm):
    email = StringField('email', validators=[DataRequired()])
    access_key = PasswordField('access_key', validators=[DataRequired()])    
    submit = SubmitField('access')
